# Configurations_Update

Updates Configuration record.

`PUT /v1/companies/{company}/Configurations/{identifier}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Configurations
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Configurations/Configurations_Update/

## Description

Update an existing configurationId`.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `identifier` | string | path | Yes | configuration ID to update. |

## Request Body

**Content-Type:** `application/json`
**Schema:** `Avalara.POS.API.CFG.Model.ConfigurationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `tteId` | string | **Yes** | Configuration ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `tteName` | string | **Yes** | TTE configuration name. Example: `SampleTTE`. |
| `tteType` | string | **Yes** | TTE type.
Values: `Default` and `Lodging`. Example: `Default`. |
| `parentTTEId` | string | No | Parent TTE ID. Example: `00000000-0000-0000-0000-000000000000 (optional)`. |
| `tteConfiguration` | Avalara.POS.API.CFG.Model.ConfigurationModel+Configuration | **Yes** |  |
| `outputFile` | object | **Yes** |  |
| `defaultCountry` | string | **Yes** | Default country Example: `US`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail Example: `Default=> Retail`. |

**Content-Type:** `text/json`
**Schema:** `Avalara.POS.API.CFG.Model.ConfigurationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `tteId` | string | **Yes** | Configuration ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `tteName` | string | **Yes** | TTE configuration name. Example: `SampleTTE`. |
| `tteType` | string | **Yes** | TTE type.
Values: `Default` and `Lodging`. Example: `Default`. |
| `parentTTEId` | string | No | Parent TTE ID. Example: `00000000-0000-0000-0000-000000000000 (optional)`. |
| `tteConfiguration` | Avalara.POS.API.CFG.Model.ConfigurationModel+Configuration | **Yes** |  |
| `outputFile` | object | **Yes** |  |
| `defaultCountry` | string | **Yes** | Default country Example: `US`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail Example: `Default=> Retail`. |

**Content-Type:** `application/*+json`
**Schema:** `Avalara.POS.API.CFG.Model.ConfigurationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `tteId` | string | **Yes** | Configuration ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `tteName` | string | **Yes** | TTE configuration name. Example: `SampleTTE`. |
| `tteType` | string | **Yes** | TTE type.
Values: `Default` and `Lodging`. Example: `Default`. |
| `parentTTEId` | string | No | Parent TTE ID. Example: `00000000-0000-0000-0000-000000000000 (optional)`. |
| `tteConfiguration` | Avalara.POS.API.CFG.Model.ConfigurationModel+Configuration | **Yes** |  |
| `outputFile` | object | **Yes** |  |
| `defaultCountry` | string | **Yes** | Default country Example: `US`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail Example: `Default=> Retail`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.CFG.Model.ConfigurationModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 409 | Conflict | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.CFG.Model.ConfigurationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `tteId` | string | **Yes** | Configuration ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `tteName` | string | **Yes** | TTE configuration name. Example: `SampleTTE`. |
| `tteType` | string | **Yes** | TTE type.
Values: `Default` and `Lodging`. Example: `Default`. |
| `parentTTEId` | string | No | Parent TTE ID. Example: `00000000-0000-0000-0000-000000000000 (optional)`. |
| `tteConfiguration` | Avalara.POS.API.CFG.Model.ConfigurationModel+Configuration | **Yes** |  |
| `outputFile` | object | **Yes** |  |
| `defaultCountry` | string | **Yes** | Default country Example: `US`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail Example: `Default=> Retail`. |

## Example Request

```bash
curl -X PUT "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Configurations/{identifier}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyId": "",
  "accountId": "",
  "createdBy": "",
  "createdDate": "2021-04-21T20:09:19.2207167Z.",
  "modifiedBy": "",
  "modifiedDate": "2021-04-21T20:09:19.2207167Z.",
  "tteId": "00000000-0000-0000-0000-000000000000",
  "tteName": "SampleTTE",
  "tteType": "Default",
  "parentTTEId": "00000000-0000-0000-0000-000000000000 (optional)",
  "tteConfiguration": {
    "_schemaVersion": "",
    "accountId": 98765,
    "companyId": 12345,
    "platform": "TTE",
    "dttId": "00000000-0000-0000-0000-000000000000 (optional)",
    "dateRange": {
      "startDate": "",
      "endDate": "",
      "relativeStartDays": "",
      "relativeEndDays": ""
    },
    "physicalLocationIds": [
      {}
    ],
    "sendSaleJurisdictionIds": [
      {}
    ],
    "numberofPostalCodeDigits": "",
    "taxGroupIds": [
      {}
    ],
    "itemGroupsName": [
      {}
    ],
    "avataxCodeIds": [
      {}
    ],
    "taxGroupCodeType": "",
    "taxTypeIds": [
      1,
      2
    ],
    "zeroRateDefaults": [
      {}
    ],
    "roundingMethod": "RoundHalfUp",
    "roundingDigits": 6,
    "bracketTax": true,
    "combineRates": true,
    "combineRatesAmount": true,
    "bracketStates": [
      "FL",
      "MD"
    ],
    "bracketTaxLevel": "",
    "isJurisOverride": "",
    "isCustomRuleOverride": "",
    "isCustomTaxCodes": "",
    "taxOnTax": "",
    "combineTierTaxSimpleRate": "",
    "combineRatesMaxTierTaxLevel": "",
    "combineRatesTierTax": "",
    "isBracketFlagAssignment": "",
    "bracketFlagAssignments": [
      {
        "states": [
          {}
        ],
        "locations": [
          {}
        ],
        "taxTypeRateClasses": [
          {}
        ]
      }
    ],
    "user_defined_fields": [
      {}
    ],
    "injectCompanyId": "",
    "individualStates": "",
    "filterStateProvinceTerritory": [
      "MN",
      "CO",
      "NJ"
    ],
    "countryCodes": [
      "ES",
      "IT"
    ],
    "DetailLevel": {},
    "filterCountryState": {
      "US": [
        "VT",
        "RI"
      ],
      "CA": [
        "BC"
      ]
    }
  },
  "outputFile": {},
  "defaultCountry": "US",
  "productType": "Default=> Retail"
}'
```